Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1223)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1224)
@@ -8,13 +8,79 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.rcp.messages.messages"; //$NON-NLS-1$
 	
+
+
+	public static String common_areYouSure;
+	public static String common_beginning;
+	public static String common_displayOptions;
+	public static String common_end;
+	public static String common_enterRegularExpressionOfYourSearch;
+	public static String common_refresh;
+	
+	public static String error_invalidRegularExpression;
+	
+	public static String info_txmIsReady;
+	
 	public static String preferences_advanced_enableResultsPersistence;
 	public static String preferences_advanced_showAllResultNodesInCorporaView;
+
+
 	
 	
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
+	
 	public static String About_Menu_Label;
 	public static String AdapterFactory_0;
-	public static String info_txmIsReady;
 	public static String AddBase_17;
 	public static String AddBase_19;
 	public static String AddBase_1;
@@ -28,9 +94,7 @@
 	public static String AddBase_31;
 	public static String AddBase_32;
 	public static String AddBase_33;
-	public static String AddBase_34;
 	public static String AddBase_4;
-	public static String AddProject_3;
 	public static String AdvancePreferencePage_0;
 	public static String AdvancePreferencePage_12;
 	public static String AdvancePreferencePage_13;
@@ -49,45 +113,20 @@
 	public static String Application_8;
 	public static String Application_9;
 	public static String ApplicationWorkbenchAdvisor_0;
-	public static String ApplicationWorkbenchAdvisor_11;
-	public static String ApplicationWorkbenchAdvisor_12;
-
 	public static String ApplicationWorkbenchAdvisor_16;
 	public static String ApplicationWorkbenchAdvisor_18;
 	public static String ApplicationWorkbenchAdvisor_1;
 	public static String ApplicationWorkbenchAdvisor_21;
-	public static String ApplicationWorkbenchAdvisor_22;
-	public static String ApplicationWorkbenchAdvisor_23;
-	public static String ApplicationWorkbenchAdvisor_24;
-	public static String ApplicationWorkbenchAdvisor_26;
 	public static String ApplicationWorkbenchAdvisor_27;
 	public static String ApplicationWorkbenchAdvisor_28;
 	public static String ApplicationWorkbenchAdvisor_2;
 	public static String ApplicationWorkbenchAdvisor_30;
-	public static String ApplicationWorkbenchAdvisor_31;
 	public static String ApplicationWorkbenchAdvisor_34;
 	public static String ApplicationWorkbenchAdvisor_37;
 	public static String ApplicationWorkbenchAdvisor_3;
-	public static String ApplicationWorkbenchAdvisor_41;
-	public static String ApplicationWorkbenchAdvisor_43;
-	public static String ApplicationWorkbenchAdvisor_43_single;
 	public static String ApplicationWorkbenchAdvisor_44;
-	public static String ApplicationWorkbenchAdvisor_45;
 	public static String ApplicationWorkbenchAdvisor_47;
-	public static String ApplicationWorkbenchAdvisor_48;
-	public static String ApplicationWorkbenchAdvisor_51;
-	public static String ApplicationWorkbenchAdvisor_52;
-	public static String ApplicationWorkbenchAdvisor_53;
-	public static String ApplicationWorkbenchAdvisor_54;
-	public static String ApplicationWorkbenchAdvisor_55;
-	public static String ApplicationWorkbenchAdvisor_56;
-	public static String ApplicationWorkbenchAdvisor_58;
-	public static String ApplicationWorkbenchAdvisor_59;
 	public static String ApplicationWorkbenchAdvisor_5;
-	public static String ApplicationWorkbenchAdvisor_60;
-	public static String ApplicationWorkbenchAdvisor_61;
-	public static String ApplicationWorkbenchAdvisor_68;
-	public static String ApplicationWorkbenchAdvisor_69;
 	public static String ApplicationWorkbenchAdvisor_72;
 	public static String ApplicationWorkbenchAdvisor_73;
 	public static String ApplicationWorkbenchAdvisor_74;
@@ -150,7 +189,6 @@
 	public static String ComputeCoocMatrix_3;
 	public static String ComputeCoocMatrix_4;
 	public static String ComputeCoocMatrix_7;
-	public static String ComputeIndexFromLines_0;
 	public static String ConvertCorpus_0;
 	public static String CorporaView_0;
 	public static String CorporaView_3;
@@ -172,9 +210,6 @@
 	public static String CorpusPage_42;
 	public static String CorpusPage_43;
 	public static String CorpusPage_44;
-	public static String CorpusPage_46;
-	public static String CorpusPage_47;
-	public static String CorpusPage_48;
 	public static String CorpusPage_49;
 	public static String CorpusPage_4;
 	public static String CorpusPage_50;
@@ -190,9 +225,6 @@
 	public static String CorpusPage_6;
 	public static String CorpusPage_7;
 	public static String CorpusPage_8;
-	public static String CorpusPage_90;
-	public static String CorpusPage_91;
-	public static String CorpusPage_92;
 	public static String CorpusPage_93;
 	public static String CorpusPage_9;
 	public static String CreateFile_1;
@@ -240,9 +272,7 @@
 	public static String DeleteFile_0;
 	public static String DeleteFile_2;
 	public static String DeleteInCorporaView_1;
-	public static String DeleteInCorporaView_2;
 	public static String DeleteLines_0;
-	public static String common_areYouSure;
 	public static String DeleteObject_0;
 	public static String DeleteObject_10;
 	public static String DeleteObject_3;
@@ -261,9 +291,7 @@
 	public static String EmpantWidget_7;
 	public static String EmpantWidget_8;
 	public static String EmpantWidget_9;
-	public static String ERROR;
 	public static String Error_creating_partition;
-	public static String ExecuteGroovyScript_0;
 	public static String ExecuteGroovyScript_1;
 	public static String ExecuteGroovyScript_2;
 	public static String ExecuteGroovyScript_9;
@@ -271,8 +299,9 @@
 	public static String ExecuteLastGroovyScript_0;
 	public static String ExecuteLastGroovyScript_1;
 	public static String ExecuteLastGroovyScript_3;
-
 	public static String ExecuteScript_0;
+	public static String ExecuteScript_11;
+	public static String ExecuteScript_12;
 	public static String ExecuteScript_1;
 	public static String ExecuteScript_2;
 	public static String ExecuteScript_3;
@@ -280,17 +309,9 @@
 	public static String ExecuteScript_5;
 	public static String ExecuteScript_6;
 	public static String ExecuteScript_7;
-	public static String ExecuteScript_11;
-	public static String ExecuteScript_12;
-	public static String ExecuteScript_13;
 	public static String ExecuteScriptImport_0;
 	public static String ExecuteScriptImport_1;
 	public static String ExecuteScriptImport_2;
-	public static String ExecuteScriptImport_3;
-	public static String ExecuteScriptImport_5;
-	public static String ExecuteScriptImport_6;
-	public static String ExecuteScriptImport_7;
-	public static String ExecuteScriptImport_8;
 	public static String Exit_Menu_Label;
 	public static String Explorer_0;
 	public static String Explorer_1;
@@ -319,7 +340,6 @@
 	public static String ExportResult_6;
 	public static String ExportSVG_1;
 	public static String ExportSVG_3;
-	public static String FAILED_TO_PARSE_OPTIONS;
 	public static String FAILED_TO_SAVE_PREFERENCES;
 	public static String FileExplorerPreferencePage_0;
 	public static String FileExplorerPreferencePage_1;
@@ -362,7 +382,6 @@
 	public static String ImportSelectedText_2;
 	public static String ImportSelectedText_3;
 	public static String ImportSelectedText_4;
-	public static String ImportSelectedText_6;
 	public static String IndexToLexicalTable_0;
 	public static String InternalCorpusView_0;
 	public static String InternalCorpusView_1;
@@ -388,13 +407,6 @@
 	public static String LanguageSwitchHandler_7;
 	public static String LastCQPError;
 	public static String LineLabelProvider_1;
-	public static String LoadBinaryCorpus_10;
-	public static String LoadBinaryCorpus_11;
-	public static String LoadBinaryCorpus_12;
-	public static String LoadBinaryCorpus_13;
-	public static String LoadBinaryCorpus_14;
-	public static String LoadBinaryCorpus_15;
-	public static String LoadBinaryCorpus_4;
 	public static String LocalePreferencePage_1;
 	public static String LocalePreferencePage_2;
 	public static String MacrosExplorer_0;
@@ -416,7 +428,6 @@
 	public static String MergeLines_2;
 	public static String MetadataPage_1;
 	public static String MetadataPage_2;
-	public static String common_refresh;
 	public static String MetadataPage_4;
 	public static String MetadataPage_5;
 	public static String MetadataPage_7;
@@ -425,7 +436,6 @@
 	public static String NumberOfLines;
 	public static String ObjectSelectionDialog_0;
 	public static String ObjectSelectionDialog_3;
-	public static String error_invalidRegularExpression;
 	public static String ObjectSelector_0;
 	public static String ObjectSelector_1;
 	public static String OpenBiblio_1;
@@ -461,17 +471,6 @@
 	public static String PropertiesSelector_1;
 	public static String PropertiesSelector_2;
 	public static String PropertySelector_0;
-	public static String PurgeCorpora_0;
-	public static String PurgeCorpora_10;
-	public static String PurgeCorpora_12;
-	public static String PurgeCorpora_13;
-	public static String PurgeCorpora_1;
-	public static String PurgeCorpora_2;
-	public static String PurgeCorpora_3;
-	public static String PurgeCorpora_4;
-	public static String PurgeCorpora_5;
-	public static String PurgeCorpora_7;
-	public static String PurgeCorpora_9;
 	public static String QueriesView_10;
 	public static String QueriesView_1;
 	public static String QueriesView_5;
@@ -492,7 +491,6 @@
 	public static String RenameFile_3;
 	public static String RestartTXM_1;
 	public static String RunGroovyScript_0;
-	public static String RunGroovyScript_10;
 	public static String RunGroovyScript_1;
 	public static String RunGroovyScript_2;
 	public static String RunGroovyScript_3;
@@ -534,7 +532,6 @@
 	public static String TablableVector_0;
 	public static String TableEditor_0;
 	public static String TableKeyListener_0;
-	public static String common_enterRegularExpressionOfYourSearch;
 	public static String TableKeyListener_6;
 	public static String TableSorter_0;
 	public static String TextometriePreferencePage_0;
@@ -546,36 +543,26 @@
 	public static String TextualPlansSection_outsidetext_tooltip;
 	public static String TextualPlansSection_outsidetexttoedit_label;
 	public static String TextualPlansSection_outsidetexttoedit_tooltip;
-	public static String TextualPlansSection_save_error;
 	public static String TextualPlansSection_title;
-	public static String TextualPlansSection_update_error;
-	public static String common_beginning;
 	public static String TxmBrowser_10;
 	public static String TxmBrowser_11;
 	public static String TxmBrowser_12;
 	public static String TxmBrowser_5;
 	public static String TxmBrowser_6;
-	public static String common_end;
 	public static String TxmBrowser_8;
 	public static String TxmBrowser_9;
 	public static String TXMEditor_0;
-
 	public static String TXMEditor_1;
-
 	public static String TXMEditor_2;
-
 	public static String TXMEditor_3;
-
 	public static String TXMEditor_7;
-
 	public static String TxtEditor_0;
 	public static String TxtEditor_1;
 	public static String UIParameterException_0;
 	public static String UserPreferencePage_1;
 	public static String UserPreferencePage_3;
-	public static String common_displayOptions;
-	public static String SEARCH;
 
+
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 1223)
+++ tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 1224)
@@ -24,13 +24,8 @@
 
 	public static String Lexicon_0;
 	public static String Lexicon_3;
-	public static String LexiconDetailsFromPartition;
-	public static String LexiconDetailsFromCorpus;
+	public static String SUBCORPUS_LEXICON;
 
-	//FIXME unused key
-	public static String Index_0;
-	//end of fixme
-	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexCoreMessages.class);
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1223)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1224)
@@ -235,7 +235,7 @@
 	protected boolean computewithSubCorpus(Subcorpus corpus, Property property, IProgressMonitor monitor) throws CqiClientException {
 
 		//System.out.println("not found");
-		Log.finest(TXMCoreMessages.SUBCORPUS_LEXICON + corpus.getName());
+		Log.finest(IndexCoreMessages.SUBCORPUS_LEXICON + corpus.getName());
 		//long start = System.currentTimeMillis();
 		int[][] fdist = null;
 		AbstractCqiClient cqi = CorpusManager.getCorpusManager().getCqiClient();
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1223)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1224)
@@ -238,7 +238,7 @@
 //		}
 		
 		//System.out.println("not found");
-		Log.finest(TXMCoreMessages.SUBCORPUS_LEXICON + corpus.getName());
+		Log.finest(IndexCoreMessages.SUBCORPUS_LEXICON + corpus.getName());
 		//long start = System.currentTimeMillis();
 		int[][] fdist = null;
 		Subcorpus tmp = null;
